Subject: Re: bug#18861: Acknowledgement (25.0.50; gfile-based file notifications are not immediate)

From: Dima Kogan <[email-masked]>
Date: Mon, 27 Oct 2014 21:22:10 -0700

I just looked into this, and it appears I spoke too soon. The emacs
event loop IS correct. It asks glib for a list of file descriptors that
need attention, and then calls select() on those and on other file
descriptors that emacs cares about. The bug is in glib. It appears that
the file descriptors it gives you don't get any activity when a
notification occurs, so calling select() on them does anything. Bug report:

 https://bugzilla.gnome.org/show_bug.cgi?id=739274

If I fix this bug then select() works, but there's a delay of about 1sec
between when the file modification is reported by inotify and when glib
tells you about it. This is yet another glib bug that I haven't yet
looked into.